Constants (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.html
Class Constants

    java.lang.Object
      org.apache.struts.taglib.html.Constants

    public class Constants

extends Object

Manifest constants for this package.

Field Summary
`static String` | `BEAN_KEY` The attribute key for the bean our form is related to.
`static String` | `CANCEL_PROPERTY` The property under which a Cancel button press is reported.
`static String` | `CANCEL_PROPERTY_X` The property under which a Cancel button press is reported, if the Cancel button is rendered as an image.
`static String` | `FORM_KEY` The attribute key for the form tag itself.
`static String` | `Package` The name of this package.
`static String` | `SELECT_KEY` The attribute key for the select tag itself.
`static String` | `TOKEN_KEY` The property under which a transaction token is reported.

Constructor Summary
`Constants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Package

    public static final String Package

  The name of this package.

  See Also:
    Constant Field Values

### BEAN_KEY

    public static final String BEAN_KEY

  The attribute key for the bean our form is related to.

  See Also:
    Constant Field Values

### CANCEL_PROPERTY

    public static final String CANCEL_PROPERTY

  The property under which a Cancel button press is reported.

  See Also:
    Constant Field Values

### CANCEL_PROPERTY_X

    public static final String CANCEL_PROPERTY_X

  The property under which a Cancel button press is reported, if the Cancel button is rendered as an image.

  See Also:
    Constant Field Values

### FORM_KEY

    public static final String FORM_KEY

  The attribute key for the form tag itself.

  See Also:
    Constant Field Values

### SELECT_KEY

    public static final String SELECT_KEY

  The attribute key for the select tag itself.

  See Also:
    Constant Field Values

### TOKEN_KEY

    public static final String TOKEN_KEY

  The property under which a transaction token is reported.

  See Also:
    Constant Field Values

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.